1. Service Requests
Calven Developer Docs
latest
  • latest
  • beta
  • Default module
    • Overview
    • Access Control
    • Basic Authentication
    • HMAC Authentication
    • SDKs
    • Calven Data Models
    • Changelog
    • Authentication
      • Generate a token with an API key and HMAC
      • Generate a token with an API key and client secret
    • Presence
      • Presence Overview
      • Submit presence events
      • Submit presence events (Basic auth)
    • Occupancy
      • Occupancy Overview
      • Submit occupancy events
    • Time Off
      • Submit time off updates
    • Access Credentials
      • Submit access credentials
    • Warehouse - Basic Auth
      • Warehouse API (Basic Auth)
      • Users (Basic auth)
      • Groups (Basic auth)
      • Locations (Basic auth)
      • Desks (Basic auth)
      • Bookings & Attendance (Basic auth)
      • Presence (Basic auth)
      • User Actions Log (Basic auth)
      • Events (Basic auth)
    • Warehouse - HMAC Auth
      • Warehouse API (HMAC Auth)
      • Users
      • Groups
      • Locations
      • Desks
      • Bookings & Attendance
      • Presence
      • User Actions Log
      • Events
    • Hierarchy Information
      • Org Hierarchy Information Overview
      • Submit group hierarchy relationships
      • Submit group hierarchy relationships (Basic auth)
    • Parking
      • Retrieve parking bookings
      • Retrieve parking bookings (Basic auth)
    • Service Requests
      • Service Offerings
        GET
      • Service Offering
        GET
      • Submit a service request
        POST
      • Service Request
        GET
      • Update a service request
        PATCH
    • User Attributes
      • User Attributes Overview
      • Write directory user attributes
      • Write directory user attributes (Basic auth)
    • Visitor Management
      • Submit visitor arrival events
      • Submit visitor arrival events (Basic auth)
  1. Service Requests

Service Request

GET
/v1/services/service-requests/requests/{serviceRequestId}
Returns a Service Request and its current status, whether it was submitted through the API or raised in Calven.
Requires the service:request:read permission.

Request

Authorization
JWT Bearer
Add the parameter
Authorization
to Headers
Example:
Authorization: ********************
or
Path Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.calven.com/v1/services/service-requests/requests/' \
--header 'Authorization: Bearer <token>'

Responses

🟢200
application/json
Bodyapplication/json

Example
{
    "serviceRequestId": "1e23d1ac-fd7c-4b0a-8bb8-3a6c80ad6fcc",
    "type": "meetingBound",
    "offeringId": "ab19dd02-6e4f-4f6f-b30e-37b01441b2ae",
    "offeringGroupId": "80c77403-51e7-48a0-943a-2aa916b31327",
    "locationId": "58fab1b7-f5da-4281-9148-ba4905ee9992",
    "status": "accepted",
    "calendarEventId": "9618160e-33cb-431e-89ee-6ead6d72d1ca",
    "answers": [
        {
            "questionId": "cb7274b1-3e90-4972-afab-457b3a51c958",
            "kind": "text",
            "value": "string",
            "freeText": "string"
        }
    ],
    "requester": {
        "principalId": "4013fd11-ddb8-47a7-9cca-285bb3cb1299",
        "principalType": "external"
    },
    "requiredAtOffsetMinutes": -15,
    "requiredAt": "2026-11-01T22:45:00.000Z",
    "createdAt": "2026-10-13T04:12:00.000Z",
    "updatedAt": "2026-10-13T04:12:00.000Z"
}
🟠400
🟠401
🟠404
Modified at 2026-11-19 03:47:52
Previous
Submit a service request
Next
Update a service request
Built with